import React, {useState, useEffect} from 'React';
import {json} from 'd3';
import {feature, mesh} from 'topojson';

const csvUrl = 'https://ucla.box.com/s/l25t0z28wjewkz63tt5eujvs4nted2oq'

export const useDataAlumni = () => {
  const [data, setData] = useState(null);
  console.log("Alumni by Country: ", data);

  useEffect(() => {
    const row = d => {
      d.longitude = +d.longitude;
      d.latitude = +d.latitude;
      d.name = d.name;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  

  return data;
};
